High TTL values in DNS records refer to DNS configurations where the Time-to-Live (TTL) is set to an extended duration. TTL defines how long a DNS resolver should cache a record before checking back with the authoritative DNS server. While long TTL values can reduce DNS traffic and improve performance, they may introduce operational risks, especially in scenarios requiring rapid DNS updates, such as server migrations, IP address changes, or during DDoS mitigation efforts.

**Impact:** Having a high TTL value means that changes to DNS records, such as IP address updates, will take longer to propagate across the internet. This can lead to clients or users being directed to outdated or incorrect IP addresses during the TTL period. Furthermore, in the event of a distributed denial-of-service (DDoS) attack or other security incidents, it may be more difficult to quickly reroute traffic, increasing exposure to attacks.